// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded startup scripts)')



StartupEvents.registry("item", event => {
  event.create("ynm_origin_core") 
      .displayName("YNM Origin Core") 
      .maxStackSize(7)
  event.create("origin_ender_eye")
      .displayName("Origin Ender eye") 
      .maxStackSize(7)
  event.create("origin_ender_pearl")
      .displayName("Origin Ender Pearl") 
      .maxStackSize(7)

  event.create("dark_iron_nugget") 
      .displayName("Dark Iron Nugget") 
      .maxStackSize(64)

})

ItemEvents.modification(event => {
  event.modify('minecraft:turtle_helmet', item => {
      item.rarity = "RARE"
      item.setMaxDamage(681)
  })
  event.modify('blue_skies:diopside_sword', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_shovel', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_pickaxe', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_axe', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_hoe', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:chaorite_sword', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_shovel', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_pickaxe', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_axe', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_hoe', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('chococraft:choco_disguise_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
event.modify('chococraft:choco_disguise_chestplate', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
event.modify('chococraft:choco_disguise_leggings', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
event.modify('chococraft:choco_disguise_boots', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
})



 

  




